Subject: Re: bug#11864: 24.1.50; error instrumenting pcase in completion-at-point for edebug

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Oct 2019 09:43:12 +0200

Michael Heerdegen <[email-masked]> writes:

> pcase.el comes with declarations for edebug.  However, if I try to
> instrument the defun of `completion-at-point' in minibuffer.el (in
> emacs -Q), I get the following error:
>
> edebug-syntax-error: Invalid read syntax: "Expected lambda expression"
>
> I guess this should work - but please correct me if I'm wrong.

I'm unable to reproduce this in Emacs 27, so I'm going to go ahead and
guess that it's been fixed in the eight years since it was reported, and
I'm closing this bug report.  If you're still seeing this, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no